print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricewines = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local winesHudFile = "Paletten/hud_fill_wines.dds"
	local winesHudFileSmall = "Paletten/hud_fill_wines_small.dds"
	
    local winesFilType = g_fillTypeManager:addFillType("WINES", g_i18n:getText("wines"), true, pricewines * 0.5, 0.00045, math.rad(10), winesHudFile, winesHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haswines=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haswines=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "WINES" then
		haswines=true
	end;
		
end;

		if hasmaize and not haswines then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("WINES")
		local price = g_fillTypeManager:getFillTypeByName("WINES").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WINES")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)